.categories-group {
  display: flex;
  flex-direction: column;
  gap: 32px;
  margin-bottom: 64px;
}

.categories-banner {
  position: relative;
  margin: 20px 0;
  border-radius: 20px;
  overflow: hidden;
}

.categories-banner__image {
  display: block;
  width: 100%;
  height: 450px;
  object-fit: cover;
}

.categories-banner__content {
  position: absolute;
  top: 50%;
  left: 60px;
  transform: translateY(-50%);
  color: #fff;
  max-width: 320px;
}

.categories-banner__title {
  margin: 0 0 32px;
  font-size: 40px;
  line-height: 1.15;
  font-family: "Poppins";
  font-style: normal;
  line-height: 60px;
  text-align: center;
  color: #ffffff;
}

.categories-banner__buttons {
  display: flex;
  gap: 12px;
  width: 100%;
}

.categories-banner__btn {
  flex: 1;
  min-width: 0;
  height: 40px;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 8px 12px;
  font-size: 14px;
  text-decoration: none;
  border-radius: 5px;
  white-space: nowrap;
}

.categories-banner__btn--outline {
  border: 1px solid #ffffff;
  color: #fff;
  background: transparent;
}

.categories-banner__btn--filled {
  background: #304d2c;
  color: #fff;
}

.categories-banner__btn:hover {
  opacity: 0.9;
}
.products-section__title {
  margin-top: 20px;
}

@media (max-width: 992px) {
  .categories-banner__image {
    height: 360px;
  }

  .categories-banner__title {
    font-size: 36px;
  }
}

@media (max-width: 768px) {
  .categories-banner__content {
    left: 32px;
  }

  .categories-banner__title {
    font-size: 28px;
    margin-bottom: 24px;
  }
    .categories-banner__image {
    height: 280px;
  }
}

@media (max-width: 576px) {
  .categories-banner__content {
    left: 20px;
    max-width: unset;
  }

  .categories-banner__title {
    font-size: 24px;
    /* white-space: nowrap; */
    font-size: 20px;
    line-height: 1.2;
  }
    .categories-banner__image {
    height: 150px;
  }

  .categories-banner__buttons {
    flex-direction: row;
    gap: 8px;
  }

  .categories-banner__btn {
    flex: 1;
    min-width: 0;
    padding: 8px;
    font-size: 12px;
  }
}
